# Deep Security Manager REST API

## Name: antiMalwareScanConfig

JSON Example:
    {"antiMalwareScanConfig":
     {
       "alert": Boolean,
       "antiMalwareId": Number,
       "configurationType": Number,
       "correlativeScan": Boolean,
       "cpuUsage": Number,
       "description": String,
       "documentRecovery": Boolean,
       "enableBehaviorMonitoringDetection": Boolean,
       "excludedScanDirectoryListID": Number,
       "excludedScanFileExtListID": Number,
       "excludedScanFileListID": Number,
       "excludedScanProcessFileListID": Number,
       "filesToScan": Number,
       "foldersToScan": Number,
       "heuristicDetectionEnabled": Boolean,
       "heuristicDetectionOption": Number,
       "includedScanDirectoryListID": Number,
       "intelliTrapEnabled": Boolean,
       "maximumScanLayers": Number,
       "name": String,
       "realtimeMemoryScan": Boolean,
       "remediationActionsOption": Number,
       "scanAction": Number,
       "scanActionForCookie": Number,
       "scanActionForCVE": Number,
       "scanActionForHeuristicDetection": Number,
       "scanActionForOtherThreats": Number,
       "scanActionForPacker": Number,
       "scanActionForSpyware": Number,
       "scanActionForTrojans": Number,
       "scanActionForVirus": Number,
       "scanCompressed": Boolean,
       "scanCompressedNumberOfFiles": Number,
       "scanCompressedSmaller": Number,
       "scanCustomAction1": Number,
       "scanCustomAction2": Number,
       "scanCustomActionForGeneric": Number,
       "scanFileExtListID": Number,
       "scanFilesActivity": Number,
       "scanNetworkFolder": Boolean,
       "scanOLE": Boolean,
       "scanOLEExploit": Boolean,
       "scanOLELayer": Number,
       "spywareEnabled": Boolean,
       "unScannableFileAction": Number,
     }
    }

Elements
Name | Type | Required | Default Value | Description
--- | --- | --- | --- | ---
alert | Boolean | No | `` | Control whether or not alert when this scan configuration logs an event should be enabled.
antiMalwareId | Number | No | `` | Internal identifier uniquely identifying an antiMalware scan configuration
configurationType | Number | No | `` | AntiMalware Scan configuration type value; Supported values are 1 (real-time scan) and 2 (manual/schedule scan)
correlativeScan | Boolean | No | `` | Control whether or not endpoint correlation scan be enabled.
cpuUsage | Number | No | `` | The CPU usage (Agent only); supported value are 1 (low), 2 (medium) and 3 (high). Default value is 3. Lower the CPU usage level to increase the wait time between file scans and conserve CPU resources.
description | String | No | `` | The description of this AntiMalware Scan configuration.
documentRecovery | Boolean | No | `` | Control whether or not automatically backup document for ransomeware detection should be enabled.
enableBehaviorMonitoringDetection | Boolean | No | `` | Control whether or not the BehaviorMonitoringDetection should be enabled.
excludedScanDirectoryListID | Number | No | `` | The excluded directory list ID to scan.
excludedScanFileExtListID | Number | No | `` | The excluded file extension list ID to scan.
excludedScanFileListID | Number | No | `` | The excluded file list ID to scan.
excludedScanProcessFileListID | Number | No | `` | The excluded process image file list ID to scan. (Real-time scan only)
filesToScan | Number | No | `` | The files to scan; supported value are 1 (all files), 2 (file types scanned by intelliScan) and 3 (specific file extension list).
foldersToScan | Number | No | `` | The directories to scan; supported value are 1 (all folders) and 2 (specified folders).
heuristicDetectionEnabled | Boolean | No | `` | Control whether or not heuristic detection should be enabled.
heuristicDetectionOption | Number | No | `` | Heuristic detection option when enable heuristic detection Supported the following options in heuristic detection: - 0 maps to CVE Exploit - 1 maps to CVE Exploit and Heuristic Detection
includedScanDirectoryListID | Number | No | `` | The directory list ID to scan.
intelliTrapEnabled | Boolean | No | `` | Control whether or not IntelliTrap(Real-time only) should be enabled.
maximumScanLayers | Number | No | `` | Maximum levels of compression from which to extract files when scanning compressed files; Default value is 2, and possible value is an integer from 1 to 6.
name | String | No | `` | The name of this AntiMalware Scan configuration.
realtimeMemoryScan | Boolean | No | `` | Control whether or not process memory scan should be enabled.
remediationActionsOption | Number | No | `` | The option of Remediation Action; supported value is 0 (Use recommended defaults) and 1 (custom).
scanAction | Number | No | `` | Scan action for recognized malware; supported value are 1 (Use remediation action determined by ActiveAction) and 2 (custom actions). If this value is set to `1` then the value of `scanActionForVirus`, `scanActionForTrojans` `scanActionForPacker` `scanActionForSpyware` `scanActionForOtherThreats` `scanActionForCookie` `scanActionForHeuristicDetection` `scanActionForCVE` are ignored.
scanActionForCookie | Number | No | `` | Custom scan action for cookies; Supported the following actions in Manual/Schedule scan: - 1 maps to Pass - 2 maps to Delete
scanActionForCVE | Number | No | `` | Custom scan action for CVE; Supported the following actions in Real-time scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine Supported the following actions in Manual/Schedule scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine
scanActionForHeuristicDetection | Number | No | `` | Custom scan action for Heuristic Detection; Supported the following actions in Real-time scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine Supported the following actions in Manual/Schedule scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine
scanActionForOtherThreats | Number | No | `` | Custom scan action for other threats; Supported the following actions in Real-time scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine - 4 maps to clean - 5 maps to deny access Supported the following actions in Manual/Schedule scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine - 4 maps to clean
scanActionForPacker | Number | No | `` | Custom scan action for packer; Supported the following actions in Real-time scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine - 5 maps to deny access Supported the following actions in Manual/Schedule scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine
scanActionForSpyware | Number | No | `` | Custom scan action for spyware; Supported the following actions in Real-time scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine - 5 maps to deny access Supported the following actions in Manual/Schedule scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine
scanActionForTrojans | Number | No | `` | Custom scan action for trojans; Supported the following actions in Real-time scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine - 5 maps to deny access Supported the following actions in Manual/Schedule scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine
scanActionForVirus | Number | No | `` | Custom scan action for virus; Supported the following actions in Real-time scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine - 4 maps to clean - 5 maps to deny access Supported the following actions in Manual/Schedule scan: - 1 maps to Pass - 2 maps to Delete - 3 maps to quarantine - 4 maps to clean
scanCompressed | Boolean | No | `` | Whether or not scanning compressed files should be enabled. If this value is set to `false` then the value of `scanCompressedSmaller`, `maximumScanLayers` and `scanCompressedNumberOfFiles` are ignored.
scanCompressedNumberOfFiles | Number | No | `` | Maximum number of files to extract when scanning compressed files. Default value is 10.
scanCompressedSmaller | Number | No | `` | Maximum size (MegaBytes) of individual extracted files when scanning compressed files. Default value is 2.
scanCustomAction1 | Number | No | `` |
scanCustomAction2 | Number | No | `` |
scanCustomActionForGeneric | Number | No | `` |
scanFileExtListID | Number | No | `` | The file extension list ID to scan.
scanFilesActivity | Number | No | `` | Scan files when the following activities: - 1 maps to Read only - 2 maps to Write only - 3 maps to Read/Write
scanNetworkFolder | Boolean | No | `` | Control whether or not scanning network directory should be enabled.
scanOLE | Boolean | No | `` | Control whether or not scanning Microsoft Office use Object Linking and Embedding (OLE) should be enabled. If this value is set to `false` then the value of `scanOLEExploit` and `scanOLELayer` are ignored.
scanOLEExploit | Boolean | No | `` | Control whether or not scanning exploit code in Microsoft Office Objects should be enabled.
scanOLELayer | Number | No | `` | Maximum OLE layers when scanning OLE files. Default value is 3, and possible value is an integer from 1 to 30
spywareEnabled | Boolean | No | `` | Control whether or not scanning Spyware/Grayware should be enabled.
unScannableFileAction | Number | No | `` |

Copyright © 2017 Trend Micro Inc. All Rights Reserved.